Fontconfig Developers Reference, Version 2.2.2
Prev |  | Next

# FcFontRenderPrepare

## Name

FcFontRenderPrepare -- Prepare pattern for loading font file

## Synopsis

    #include <fontconfig.h>

``FcPattern * FcFontRenderPrepare`(FcConfig *config, FcPattern *pat, FcPattern *font);`

## Description

Creates a new pattern consisting of elements of font not appearing in pat, elements of pat not appearing in font and the best matching value from pat for elements appearing in both. The result is passed to FcConfigSubstitute with kind FcMatchFont and then returned.

## Version

Fontconfig version 2.2.2

Prev | Home | Next
FcFontSort | Up | FcFontList